# $Revision: 1.8 $, $Date: 2008/07/27 22:43:19 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	MagicSquare-Generator
Summary:	Math::MagicSquare::Generator - Magic Square generator
Summary(pl.UTF-8):	Math::MagicSquare::Generator - generator kwadratów magicznych
Name:		perl-Math-MagicSquare-Generator
Version:	0.01
Release:	2
License:	Public Domain
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	408501cf0474f95234eb1bfdb4832d42
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module creates magic squares. A magic square is a square in which
all numbers are different and the sums of all rows, all columns and
the two diagonals are equal.

Math::MagicSquare::Generator cannot create panmagic squares, or
squares that have an even size. (A panmagic square is magic square
where the "wrapped" diagonals are also equal.)

%description -l pl.UTF-8
Ten moduł tworzy kwadraty magiczne. Kwadrat magiczny to kwadrat, w
którym wszystkie liczby są różne, a sumy we wszystkich wierszach,
we wszystkich kolumnach i na dwóch przekątnych są równe.

Math::MagicSquare::Generator nie potrafi tworzyć kwadratów
panmagicznych ani kwadratów o parzystym rozmiarze (kwadrat panmagiczny
to kwadrat magiczny, w którym sumy na "zawiniętych" przekątnych są
także równe).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Math/MagicSquare
%{perl_vendorlib}/Math/MagicSquare/Generator.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-MagicSquare-Generator.spec,v $
Revision 1.8  2008/07/27 22:43:19  arekm
- release 2

Revision 1.7  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.5  2004/11/03 22:30:34  paladine
- formatting

Revision 1.4  2004/10/24 15:53:16  paladine
- spelling fixes, uppercases, etc.

Revision 1.3  2004/05/06 18:43:18  ankry
- fixed perl-devel BR

Revision 1.2  2004/04/23 07:50:18  ankry
- license fixes, unification

Revision 1.1  2003/11/01 11:42:11  qboosh
- new

